From ce82b78e4e9f7ee774cc37c1c1d9941acb71c19c Mon Sep 17 00:00:00 2001
From: partisan <partisan@noreply@weforge.xyz>
Date: Mon, 10 Feb 2025 17:10:20 +0000
Subject: [PATCH] Added tests

---
 .forgejo/workflows/build-release.yml | 46 ++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 .forgejo/workflows/build-release.yml

diff --git a/.forgejo/workflows/build-release.yml b/.forgejo/workflows/build-release.yml
new file mode 100644
index 0000000..c26401f
--- /dev/null
+++ b/.forgejo/workflows/build-release.yml
@@ -0,0 +1,46 @@
+on: [push]
+
+jobs:
+  test-on-windows:
+    runs-on: win-10
+    steps:
+      - name: Checkout Code
+        uses: actions/checkout@v3
+
+      - name: Verify Go Installation
+        shell: bash
+        run: |
+          if ! go version; then
+            echo "Go is not installed!" 
+            exit 1
+          fi
+
+      - name: Build Go Application
+        shell: bash
+        run: |
+          go build -o spitfire-installer.exe
+          echo "Application built successfully."
+
+      - name: Run Go Application
+        shell: bash
+        run: |
+          timeout 3s ./spitfire-luncher.exe || echo "Application failed or was terminated after 3 seconds."
+
+  test-on-alpine:
+    runs-on: alpine-1.20
+    steps:
+      - name: Checkout Code
+        uses: actions/checkout@v3
+
+      - name: Verify Go Installation
+        run: |
+          go version || (echo "Go is not installed!" && exit 1)
+
+      - name: Build Go Application
+        run: |
+          go build -o spitfire-installer
+          echo "Application built successfully."
+
+      - name: Run Go Application
+        run: |
+          timeout 3 ./spitfire-luncher || echo "Application failed or was terminated after 3 seconds."
\ No newline at end of file